Select Shipping Rate for Quote

Adds a shipping method to a specific quote based on the provided `quoteId`. Use the [Get Available Shipping Rates for a Quote](#get-available-shipping-rates-for-a-quote) or [Get All B2B Quote Custom Shipping Methods](#get-all-b2b-quote-custom-shipping-methods) endpoints to retrieve shipping method information that you can add to the quote. The request body must include either the `shippingMethodId` field to add a static or real-time shipping method, *or* the `customShippingMethodName` **and** the `customShippingMethodCost` fields to add a custom shipping method. Note that the URL for this endpoint is *https://api-b2b.bigcommerce.com/api/v3/io/rfq/{quote_id}/shipping-rate*, which is different from the URL for the [Get Available Shipping Rates for a Quote](#get-available-shipping-rates-for-a-quote) endpoint (*https://api-b2b.bigcommerce.com/api/v3/io/rfq/{quote_id}/shipping-rates*). Using the incorrect URL will result in a **405 - Method Not Allowed** error.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

quote_idstringRequired

Request

This endpoint expects an object.
shippingMethodIdstringOptional

Shipping method ID. Cannot be used with customShippingMethodName at the same time.

customShippingMethodNamestringOptional

Custom shipping method name. Cannot be used with shippingMethodId at the same time.

customShippingMethodCostdoubleOptional>=0
Custom shipping method cost. Required when using custom shipping method.

Response

OK
codeany
dataobject
metaobject

Errors

422
Unprocessable Entity Error